<?php 
 
// Load the database configuration file 
include_once 'config.php'; 
 
// Fetch records from database 
$query = $db->query("SELECT * FROM data"); 
 
if($query->num_rows > 0){ 
    $delimiter = ","; 
    $filename = "members-data_" . date('Y-m-d') . ".csv"; 
     
    // Create a file pointer 
    $f = fopen('php://memory', 'w'); 
     
    // Set column headers 
    $fields = array('Name', 'Email', 'Phone', 'Age','Gender','Birth Date','Birth Month','Anniversary Date', 'Anniversary Month',  'Address Line 1', 'Address Line 2','City','Pincode','State','Are You A First Time Visitor?', 'How Did You Hear About Kamal Jewellers', 'If others', 'Comments', 'Branch', 'Jewellery Rating', 'Submission Time'); 
    fputcsv($f, $fields, $delimiter); 
    
    // Output each row of the data, format line as csv and write to file pointer 
    while($row = $query->fetch_assoc()){ 
        $lineData = array($row['name'], $row['email'], $row['phone'], $row['age'], $row['gender'], $row['bdate'], $row['birth_month'], $row['adate'], $row['anniversary_month'], $row['address-1'], $row['address-2'], $row['city'], $row['pin'], $row['state'], $row['visitor'], $row['hear_about'], $row['showarea'], $row['comments'], $row['city_branch'], $row['rating'], $row['date_time']); 
        fputcsv($f, $lineData, $delimiter); 
    } 
     
    // Move back to beginning of file 
    fseek($f, 0); 
     
    // Set headers to download file rather than displayed 
    header('Content-Type: text/csv'); 
    header('Content-Disposition: attachment; filename="' . $filename . '";'); 
     
    //output all remaining data on a file pointer 
    fpassthru($f); 
} 
exit; 
 
?>